<template>
  <div
    class="accordion"
    :class="{ accordionMobile: accordionMobile }">
    <div
      class="accordion-panel"
      :class="{ '-opened' : open }">
      <div
        class="accordion-title"
        @click="toggle">
        <slot name="panel-title"/>
        <img
          svg-inline
          src="~/assets/svg/redesign/accordion-arrow-down.svg">
      </div>
      <div class="accordion-content">
        <slot name="content"/>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'AppAccordion',
  props: {
    initialOpen: {
      type: Boolean,
      default: false,
    },
    accordionMobile: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      open: this.initialOpen,
    };
  },
  methods: {
    toggle() {
      this.open = !this.open;
    },
    hide() {
      this.open = false;
    },
    show() {
      this.open = true;
    },
  },
};
</script>

<style lang="postcss">
  .accordion {
    width: 100%;

    &-title {
      display: none;
    }

    @media screen and (max-width: 980px) {
      display: block;
      width: auto;

      &-panel {
        position: relative;
        border-bottom: 1px solid var(--border-color-dark);

        &.-opened {
          > .accordion-content {
            display: flex !important;
          }
          > .accordion-title > .svg {
            transform: translate(0, -50%) rotate(-180deg);
          }
        }
      }

      &-content {
        display: none !important;
        padding: 0 1.5rem;
      }

      &-title {
        position: relative;
        display: block;
        padding: 1.25rem 2.75rem 1.25rem 1.5rem;
        font-size: 0.875rem;
        line-height: 1.4;
        font-weight: var(--font-weight-bold);
        border-top: none;

        > .svg {
          position: absolute;
          top: 50%;
          right: 1.5rem;
          display: block;
          fill: var(--color-main-lightest);
          transform: translate(0, -50%);
          transition: transform 0.3s ease-out;
        }
      }
    }
  }
</style>
